# OS_NS_pwd.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/os_pwd.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_pwd.inl"`

Include dependency graph for OS_NS_pwd.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## A set of wrappers for password routines.

ACE_NAMESPACE_INLINE_FUNCTION void | endpwent (void)
ACE_NAMESPACE_INLINE_FUNCTION struct passwd * | getpwent (void)
ACE_NAMESPACE_INLINE_FUNCTION struct passwd * | getpwnam (const char *user)
ACE_NAMESPACE_INLINE_FUNCTION struct passwd * | getpwnam_r (const char *name, struct passwd *pwent, char *buffer, int buflen)
ACE_NAMESPACE_INLINE_FUNCTION void | setpwent (void)

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Detailed Description

Id
  OS_NS_pwd.h,v 1.4 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE void ACE_OS::endpwent | ( | void |  | ) |

ACE_INLINE struct passwd * ACE_OS::getpwent | ( | void |  | ) |

ACE_INLINE struct passwd * ACE_OS::getpwnam | ( | const char * | user | ) |

ACE_INLINE struct passwd * ACE_OS::getpwnam_r | ( | const char * | name,
|  | struct passwd * | pwent,
|  | char * | buffer,
|  | int | buflen
| ) |

ACE_INLINE void ACE_OS::setpwent | ( | void |  | ) |